Get Maintenance Notifications

Returns all available Maintenance Notifications based on the caseNumber. These notifications also correlate to Maintenance Notification emails to subscribed users.

Request
path Parameters
caseNumber
required
string

Case Number returned from the /maintenance-cases or /maintenance-impacts route.

Example: TTN-0003590895
Responses
200

Success

400

Failure, Bad Request

get/service-management/v1/maintenance-cases/{caseNumber}/notifications
Request samples
curl -i -X GET \
  'https://api.zayo.com/service-management/v1/maintenance-cases/{caseNumber}/notifications'
Response samples
application/json
"{\n \"apiVersion\": \"v1\",\n \"data\": [\n {\n \"name\": \"MNN-00482176\",\n \"notificationType\": \"Maintenance Completed\",\n \"lastModifiedDate\": \"2019-10-15T08:07:48.000Z\",\n \"subject\": \"COMPLETED MAINTENANCE NOTIFICATION***Z-FAANG US***ZAYO TTN-0003590895 Planned***\",\n \"toEmailList\": \"ipeng@zayo.com; ip-tac@zayo.com; iparch@zayo.com; ethernet.arch@zayo.com; net-eng@zayo.com; telemetry@zayo.com\"\n },\n {\n \"name\": \"MNN-00482146\",\n \"notificationType\": \"Maintenance Started\",\n \"lastModifiedDate\": \"2019-10-15T07:45:05.000Z\",\n \"subject\": \"START MAINTENANCE NOTIFICATION***Z-FAANG US***ZAYO TTN-0003590895 Planned***\",\n \"toEmailList\": \"ipeng@zayo.com; ip-tac@zayo.com; iparch@zayo.com; ethernet.arch@zayo.com; net-eng@zayo.com; telemetry@zayo.com\"\n },\n {\n \"name\": \"MNN-00457342\",\n \"notificationType\": \"Scheduled\",\n \"lastModifiedDate\": \"2019-09-26T20:07:24.000Z\",\n \"subject\": \"***Z-FAANG US***ZAYO TTN-0003590895 Planned MAINTENANCE NOTIFICATION***\",\n \"toEmailList\": \"ipeng@zayo.com; ip-tac@zayo.com; iparch@zayo.com; ethernet.arch@zayo.com; net-eng@zayo.com; telemetry@zayo.com\"\n }\n ]\n}"